package com.sun.xml.internal.ws.api.message;

import java.util.List;
import com.sun.xml.internal.ws.api.WSBinding;
import java.util.Set;
import java.util.Iterator;
import javax.xml.namespace.QName;

public interface MessageHeaders
{
    public abstract void understood(Header p0);
    
    public abstract void understood(QName p0);
    
    public abstract void understood(String p0, String p1);
    
    public abstract Header get(String p0, String p1, boolean p2);
    
    public abstract Header get(QName p0, boolean p1);
    
    public abstract Iterator<Header> getHeaders(String p0, String p1, boolean p2);
    
    public abstract Iterator<Header> getHeaders(String p0, boolean p1);
    
    public abstract Iterator<Header> getHeaders(QName p0, boolean p1);
    
    public abstract Iterator<Header> getHeaders();
    
    public abstract boolean hasHeaders();
    
    public abstract boolean add(Header p0);
    
    public abstract Header remove(QName p0);
    
    public abstract Header remove(String p0, String p1);
    
    public abstract void replace(Header p0, Header p1);
    
    public abstract boolean addOrReplace(Header p0);
    
    public abstract Set<QName> getUnderstoodHeaders();
    
    public abstract Set<QName> getNotUnderstoodHeaders(Set<String> p0, Set<QName> p1, WSBinding p2);
    
    public abstract boolean isUnderstood(Header p0);
    
    public abstract boolean isUnderstood(QName p0);
    
    public abstract boolean isUnderstood(String p0, String p1);
    
    public abstract List<Header> asList();
}
